Signatures
Template Get
Retrieves details of a specific template.
- The template is identified using the templateId path parameter.
- Only templates accessible to the authenticated user are returned.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Path Parameters
templateId*string
The ID of the needed template.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/signatures/template/string/get"{ "result": { "statusCode": 200, "message": "OK", "data": { "template": { "id": "string", "createdBy": { "id": "string", "name": "string", "email": "string" }, "uploadDate": "string", "sendDate": "string", "status": "string", "subject": "string", "message": "string", "isSignOrder": true, "expireInDays": 0, "firstReminderDays": 0, "repeatingReminderDays": 0, "notifyWhenOpened": true, "notifyWhenSigned": true, "alertDaysBeforeExpiry": 0, "templateName": "string", "templateDescription": "string", "folderId": "string", "folderName": "string", "locale": "string", "Timezone": "string" }, "documents": [ { "id": "string", "name": "string", "externalContext": {} } ], "recipients": [ { "id": "string", "name": "string", "email": "string", "role": "string", "status": "string", "signDate": "string", "signOrder": 0, "signGroupId": "string", "userId": "string", "mandatory": true, "isMFAEnabled": true, "phoneNumber": "string", "hostEmail": "string", "templateRole": "string", "externalContext": {} } ], "signGroups": [ { "id": "string", "name": "string", "role": "string", "status": "string", "signOrder": 0, "mandatory": true, "templateRole": "string" } ], "fields": [ { "id": "string", "name": "string", "recipientId": "string", "signGroupId": "string", "documentId": "string", "type": "signature", "value": "string", "page": 0, "height": 0, "width": 0, "positionX": 0, "positionY": 0, "isRequired": true, "properties": { "fontFamily": "string", "fontSize": 0, "color": "string", "bold": true, "italic": true, "underline": true, "textAlign": "string", "placeholder": "string", "isSignedDate": true, "selectionGroup": "string", "selectionValue": "string" } } ], "externalContext": {} } }, "origin": "string", "dateTime": "string"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create", "dateTime": "2026-07-20T12:00:00.0000000+00:00"}{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "POST https://apim-mavenheadless-dev-westeu-1.azure-api.net/v1/signatures/envelope/create", "dateTime": "2026-07-20T12:00:00.0000000+00:00"}